WebRTC Code Reviews
Help | Chromium Project | Sign in
(15429)

Issue 20409004: Make VideoSendStream/VideoReceiveStream configs const. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
5 years, 11 months ago by pbos
Modified:
5 years, 10 months ago
Reviewers:
HL, Stefan, mflodman, pthatcher
CC:
webrtc-reviews_webrtc.org, interface-changes_webrtc.org, rwolff_gocast.it, yujie.mao, ajm, tterriberry, rillian-moz, qiang.lu, Niklas, leozwang1
Base URL:
https://webrtc.googlecode.com/svn/trunk
Visibility:
Public.

Description

Make VideoSendStream/VideoReceiveStream configs const. Benefits of this is that the send config previously had unclear locking requirements, a lock was used to lock parts parts of it while reconfiguring the VideoEncoder. Primary work was splitting out video streams from config as well as encoder_settings as these change on ReconfigureVideoEncoder. Now threading requirements for both member configs are clear (as they are read-only), and encoder_settings doesn't stay in the config as a stale pointer. CreateVideoSendStream now takes video streams separately as well as the encoder_settings pointer, analogous to ReconfigureVideoEncoder. This change required changing so that pacing is silently enabled when using suspend_below_min_bitrate rather than silently setting it. R=henrik.lundin@webrtc.org, mflodman@webrtc.org, pthatcher@webrtc.org, stefan@webrtc.org BUG=3260 Committed: https://code.google.com/p/webrtc/source/detail?r=6349

Patch Set 1 #

Total comments: 10

Patch Set 2 : hl feedback + remove one {} #

Total comments: 21

Patch Set 3 : stefan@ feedback #

Patch Set 4 : rebase and changes in talk/ #

Total comments: 8

Patch Set 5 : remove premature implementatinos #

Patch Set 6 : remove premature implementation #

Total comments: 6

Patch Set 7 : pthatcher@ feedback + rebase #

Unified diffs Side-by-side diffs Delta from patch set Stats (+400 lines, -384 lines) Patch
M talk/media/webrtc/webrtcvideoengine2.h View 1 2 3 4 5 6 5 chunks +34 lines, -7 lines 0 comments Download
M talk/media/webrtc/webrtcvideoengine2.cc View 1 2 3 4 5 6 11 chunks +80 lines, -57 lines 0 comments Download
M talk/media/webrtc/webrtcvideoengine2_unittest.cc View 1 2 3 4 5 6 7 chunks +23 lines, -25 lines 0 comments Download
M webrtc/call.h View 1 2 3 4 5 6 1 chunk +3 lines, -1 line 0 comments Download
M webrtc/test/encoder_settings.h View 1 2 1 chunk +2 lines, -6 lines 0 comments Download
M webrtc/test/encoder_settings.cc View 1 2 3 4 5 6 3 chunks +12 lines, -48 lines 0 comments Download
M webrtc/video/bitrate_estimator_tests.cc View 1 2 3 3 chunks +14 lines, -11 lines 0 comments Download
M webrtc/video/call.cc View 1 2 3 4 5 6 2 chunks +14 lines, -8 lines 0 comments Download
M webrtc/video/call_perf_tests.cc View 1 2 3 4 7 chunks +45 lines, -45 lines 0 comments Download
M webrtc/video/call_tests.cc View 1 2 3 7 chunks +25 lines, -21 lines 0 comments Download
M webrtc/video/full_stack.cc View 1 2 3 1 chunk +7 lines, -4 lines 0 comments Download
M webrtc/video/loopback.cc View 1 2 3 4 5 6 1 chunk +8 lines, -6 lines 0 comments Download
M webrtc/video/rampup_tests.cc View 1 2 3 3 chunks +29 lines, -23 lines 0 comments Download
M webrtc/video/video_receive_stream.h View 1 chunk +1 line, -1 line 0 comments Download
M webrtc/video/video_receive_stream.cc View 1 chunk +5 lines, -5 lines 0 comments Download
M webrtc/video/video_send_stream.h View 1 2 3 4 5 6 3 chunks +4 lines, -3 lines 0 comments Download
M webrtc/video/video_send_stream.cc View 1 2 3 4 5 6 9 chunks +10 lines, -28 lines 0 comments Download
M webrtc/video/video_send_stream_tests.cc View 1 2 3 17 chunks +81 lines, -73 lines 0 comments Download
M webrtc/video_send_stream.h View 1 2 3 4 5 6 4 chunks +3 lines, -12 lines 0 comments Download

Messages

Total messages: 20 (0 generated)
pbos
PTAL, stefan@ to review the change. henrik.lundin@ to approve that I changed suspend_below_min_bitrate to enforce ...
5 years, 11 months ago (2014-04-30 15:42:58 UTC) #1
HL
SuspendBelowMinBitrate changes look good, but please see my comments. /HL http://review.webrtc.org/20409004/diff/1/webrtc/video/video_send_stream.cc File webrtc/video/video_send_stream.cc (right): http://review.webrtc.org/20409004/diff/1/webrtc/video/video_send_stream.cc#newcode53 ...
5 years, 11 months ago (2014-05-01 21:50:24 UTC) #2
pbos
http://review.webrtc.org/20409004/diff/1/webrtc/video/video_send_stream.cc File webrtc/video/video_send_stream.cc (right): http://review.webrtc.org/20409004/diff/1/webrtc/video/video_send_stream.cc#newcode53 webrtc/video/video_send_stream.cc:53: assert(config_.pacing); On 2014/05/01 21:50:25, HL wrote: > Although the ...
5 years, 11 months ago (2014-05-02 12:13:00 UTC) #3
HL
LGTM for the SuspendBelowMinBitrate parts. http://review.webrtc.org/20409004/diff/1/webrtc/video/video_send_stream.cc File webrtc/video/video_send_stream.cc (right): http://review.webrtc.org/20409004/diff/1/webrtc/video/video_send_stream.cc#newcode53 webrtc/video/video_send_stream.cc:53: assert(config_.pacing); Fair enough. On ...
5 years, 11 months ago (2014-05-04 15:09:20 UTC) #4
Stefan
https://review.webrtc.org/20409004/diff/70001/webrtc/test/encoder_settings.cc File webrtc/test/encoder_settings.cc (right): https://review.webrtc.org/20409004/diff/70001/webrtc/test/encoder_settings.cc#newcode85 webrtc/test/encoder_settings.cc:85: codec.width = codec.height = 320; This looks wrong. https://review.webrtc.org/20409004/diff/70001/webrtc/test/encoder_settings.cc#newcode91 ...
5 years, 11 months ago (2014-05-12 20:23:49 UTC) #5
pbos
https://review.webrtc.org/20409004/diff/70001/webrtc/test/encoder_settings.cc File webrtc/test/encoder_settings.cc (right): https://review.webrtc.org/20409004/diff/70001/webrtc/test/encoder_settings.cc#newcode85 webrtc/test/encoder_settings.cc:85: codec.width = codec.height = 320; On 2014/05/12 20:23:49, Stefan ...
5 years, 11 months ago (2014-05-13 15:40:56 UTC) #6
Stefan
https://review.webrtc.org/20409004/diff/1/webrtc/video/video_send_stream_tests.cc File webrtc/video/video_send_stream_tests.cc (right): https://review.webrtc.org/20409004/diff/1/webrtc/video/video_send_stream_tests.cc#newcode75 webrtc/video/video_send_stream_tests.cc:75: send_config_.pacing = true; Thought I commented on this, but ...
5 years, 11 months ago (2014-05-13 16:31:06 UTC) #7
pbos
https://review.webrtc.org/20409004/diff/1/webrtc/video/video_send_stream_tests.cc File webrtc/video/video_send_stream_tests.cc (right): https://review.webrtc.org/20409004/diff/1/webrtc/video/video_send_stream_tests.cc#newcode75 webrtc/video/video_send_stream_tests.cc:75: send_config_.pacing = true; On 2014/05/13 16:31:07, Stefan wrote: > ...
5 years, 11 months ago (2014-05-14 14:33:56 UTC) #8
pbos
+mflodman@, I'll need approval for interface changes. Feel free to delay reviewing until stefan@ is ...
5 years, 11 months ago (2014-05-14 14:34:51 UTC) #9
Stefan
lgtm https://review.webrtc.org/20409004/diff/1/webrtc/video/video_send_stream_tests.cc File webrtc/video/video_send_stream_tests.cc (right): https://review.webrtc.org/20409004/diff/1/webrtc/video/video_send_stream_tests.cc#newcode75 webrtc/video/video_send_stream_tests.cc:75: send_config_.pacing = true; Ok, sounds good On 2014/05/14 ...
5 years, 11 months ago (2014-05-14 15:40:28 UTC) #10
mflodman
LGTM for call.h and video_send_stream.h
5 years, 10 months ago (2014-05-15 09:38:50 UTC) #11
Stefan
On 2014/05/15 09:38:50, mflodman wrote: > LGTM for call.h and video_send_stream.h Is this committed and ...
5 years, 10 months ago (2014-05-27 09:40:03 UTC) #12
pbos
On 2014/05/27 09:40:03, Stefan wrote: > On 2014/05/15 09:38:50, mflodman wrote: > > LGTM for ...
5 years, 10 months ago (2014-05-27 09:40:51 UTC) #13
pbos
PTAL @ talk/ (mflodman@/stefan@ for feedback and pthatcher@ as OWNER)
5 years, 10 months ago (2014-05-27 09:50:32 UTC) #14
peter
https://review.webrtc.org/20409004/diff/160001/talk/media/webrtc/webrtcvideoengine2.cc File talk/media/webrtc/webrtcvideoengine2.cc (right): https://review.webrtc.org/20409004/diff/160001/talk/media/webrtc/webrtcvideoengine2.cc#newcode243 talk/media/webrtc/webrtcvideoengine2.cc:243: void* encoder_parameters) OVERRIDE { A couple of questions: 1. ...
5 years, 10 months ago (2014-05-28 19:30:20 UTC) #15
pbos
ptal https://review.webrtc.org/20409004/diff/160001/talk/media/webrtc/webrtcvideoengine2.cc File talk/media/webrtc/webrtcvideoengine2.cc (right): https://review.webrtc.org/20409004/diff/160001/talk/media/webrtc/webrtcvideoengine2.cc#newcode243 talk/media/webrtc/webrtcvideoengine2.cc:243: void* encoder_parameters) OVERRIDE { On 2014/05/28 19:30:21, peter ...
5 years, 10 months ago (2014-05-30 13:27:18 UTC) #16
pthatcher
https://review.webrtc.org/20409004/diff/200001/talk/media/webrtc/webrtcvideoengine2.h File talk/media/webrtc/webrtcvideoengine2.h (right): https://review.webrtc.org/20409004/diff/200001/talk/media/webrtc/webrtcvideoengine2.h#newcode305 talk/media/webrtc/webrtcvideoengine2.h:305: VideoCodec codec_ GUARDED_BY(lock_); Can we please make a struct ...
5 years, 10 months ago (2014-06-04 18:01:37 UTC) #17
pbos
PTAL, I had to rebase so sorry if the diff got messed up. https://review.webrtc.org/20409004/diff/200001/talk/media/webrtc/webrtcvideoengine2.h File ...
5 years, 10 months ago (2014-06-05 13:43:52 UTC) #18
pthatcher
lgtm
5 years, 10 months ago (2014-06-05 20:03:50 UTC) #19
pbos
5 years, 10 months ago (2014-06-06 10:49:40 UTC) #20
Message was sent while issue was closed.
Committed patchset #7 manually as r6349 (presubmit successful).
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 245c2c2-tainted